Semler Scientific Inc

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/semler-scientific-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/semler-scientific-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1753315200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://x.com/IIICapital/status/1948354150938681419?t=e3_Wp1UMuaQakCtIRXvJwg&s=19",
    "holding_balance": 5021.0,
    "holding_net_change": 175.0,
    "transaction_value_usd": 21000000.0,
    "average_entry_value_usd": 120000.0,
    "transaction_value_calculated": false
  },
  {
    "date": 1759449600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://ir.semlerscientific.com/node/11716/html",
    "holding_balance": 5048.0,
    "holding_net_change": 27.0,
    "transaction_value_usd": 3081213.0,
    "average_entry_value_usd": 114119.0,
    "transaction_value_calculated": false
  },
  {
    "date": 1768521600000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://www.globenewswire.com/news-release/2026/01/16/3220332/0/en/Strive-Announces-the-Completion-of-Semler-Scientific-Acquisition.html",
    "holding_balance": 0.0,
    "holding_net_change": -5048.0,
    "transaction_value_usd": 482245788.4,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/semler-scientific-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    0.0
  ],
  [
    1779062400000,
    0.0
  ],
  [
    1779148800000,
    0.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/semler-scientific-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    0.0
  ],
  [
    1779062400000,
    0.0
  ],
  [
    1779148800000,
    0.0
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/semler-scientific-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 18.75,
    "date": "2026-01-13",
    "high": 24.1884,
    "open": 23.57,
    "close": 20.34,
    "volume": 1589206
  },
  {
    "low": 19.92,
    "date": "2026-01-14",
    "high": 22.525,
    "open": 19.92,
    "close": 21.37,
    "volume": 786705
  },
  {
    "low": 20.27,
    "date": "2026-01-15",
    "high": 21.39,
    "open": 21.37,
    "close": 20.33,
    "volume": 1624179
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/semler-scientific-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": -0.205,
  "quarterly_earnings_growth": 3570.087,
  "eps_estimate_current_quarter": -0.145
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/semler-scientific-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 26.82,
  "six_month_return": -53.37,
  "three_month_return": -20.18
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/semler-scientific-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 0.0,
  "total_btc_percentage": 0.0,
  "share_price_change_state": "up"
}